package figurasgeometricas;

/**
 * Classe que descreve um Círculo.
 * @author prof@caetano.eng.br
 */
public class Circulo {
    
    // Centro do Círculo
    private int x;
    private int y;
    // Raio do Círculo
    private int raio;
    
    /**
     * Construtor Replicador
     * @param o Objeto a copiar.
     */
    public Circulo( Circulo o ) {
        this (o.x, o.y, o.raio);
    }

    /**
     * Construtor do Círculo
     * @param x a posição X do centro do círculo
     * @param y a posição Y do centro do círculo
     * @param raio tamanho do raio do círculo
     */
    public Circulo(int x, int y, int raio) {
        this.x = x;
        this.y = y;
        this.raio = raio;
    }

    /**
     * Apresenta informações sobre o obejto círculo
     * @return texto descrevendo o objeto círculo
     */
    @Override
    public String toString() {
        return "Circulo{" + "x=" + x + ", y=" + y + ", raio=" + raio + '}';
    }
    
    /**
     * Calcula o perímetro do círculo.
     * @return comprimento do perímetro do círculo.
     */
    public double perimetro() {
        return 2 * Math.PI * raio;
    }
    
    /**
     * Calcula a área do círculo.
     * @return área do círculo.
     */
    public double area() {
        return Math.PI * raio * raio;
    }
    
}
